#ifndef _sc_h_
#define _sc_h_

#define fileIORequest 0
#define networkIORequest 1
/* The standard ports used by the video server */
#define DATA_PORT_SERVER 2005
#define COMMAND_PORT_SERVER 2006
#define DATA_CONNECTION 0
#define COMMAND_CONNECTION 1

#define SHOW 1
#define HIDE 0

#define AUD  1
#define MUTE 0

#define NUM_FUNC          9
#define POWER             0
#define REWIND            1
#define STOP              2
#define PLAY              3
#define F_REWIND          4
#define F_FORWARD         5
#define STATS_T           6
#define MARK              7
#define HELP              8


/* Video MARKS */
#define GO      0
#define ADD     1
#define PREVIEW 2

#define FREE   0
#define USED   1

#define VIDEO_MARK         0
#define VIDEO_MARK_GROUP   1

typedef struct VideoMark {
  int type;
  char serverIP[25];
  char serverFilename[100];
  long int serverFileOffset;
  char httpServer[100];
  char urlPath[150];
  char desc[150];
  char file_name[150];
  int v_x;
  int v_y;
  int preview_size;
} VideoMark;

#endif
